Ubuntu

graphical glitches in unity (screen not being repainted)

Reported by Rocko on 2011-04-09
120
This bug affects 23 people
Affects Status Importance Assigned to Milestone
Unity
Undecided
Unassigned
unity (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: unity

When running unity, I get all kinds of graphical glitches related to parts of the screen not being repainted when they should (is this something the xdamage extension is supposed to handle?).

For instance:

1. When I log in, two-thirds of the screen background on the first monitor is clearly not painted properly - see attached screenshot.

2. When I resume from suspend or switch users the entire unity launcher bar is often shown as a sea of colourful but random pixels. (If I press the Prnt Scrn button the bar is redrawn before the screenshot is taken so I haven't got a screenshot.)

3. When the screen goes blank after 5 minutes (ie the screensaver kicks in) and I move the mouse to bring it back, everything mostly stays black (firefox, the background, etc). For instance, I might get the firefox bookmarks sidebar showing and the tab headers, but the rest of the screen will be black.

This quite possibly could be a problem with compiz or nvidia-current 270.30 rather than with unity, but it only seems to happen on my unity desktop - classic mode works much better.

Opening applications, moving the mouse or windows around etc eventually gets the screen repainted. It just looks messy.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.8.4-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 270.30 Fri Feb 25 14:34:55 PST 2011
 GCC version: gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-8ubuntu1)
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,compiztoolbox,grid,place,imgpng,session,mousepoll,resize,vpswitch,move,unitymtgrabhandles,wall,snap,gnomecompat,regex,thumbnail,animation,workarounds,expo,ezoom,staticswitcher,fade,scale,unityshell]
CompositorRunning: compiz
CurrentDmesg: Error: command ['sh', '-c', 'dmesg | comm -13 --nocheck-order /var/log/dmesg -'] failed with exit code 1: comm: /var/log/dmesg: Permission denied
Date: Sat Apr 9 12:02:19 2011
DistUpgraded: Log time: 2011-03-20 09:19:31.967259
DistroCodename: natty
DistroVariant: ubuntu
DkmsStatus:
 nvidia-current, 270.30, 2.6.38-8-generic, x86_64: installed
 vboxhost, 4.0.4, 2.6.38-7-generic, x86_64: installed
 vboxhost, 4.0.4, 2.6.38-8-generic, x86_64: installed
GraphicsCard:
 nVidia Corporation G84 [GeForce 8600M GT] [10de:0407] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:022e]
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100224.1)
InstallationMedia_: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100224.1)
InstallationMedia__: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100224.1)
InstallationMedia___: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100224.1)
JockeyStatus: xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Enabled, In use)
MachineType: Dell Inc. XPS M1530
ProcEnviron:
 LANGUAGE=en_AU:en
 LANG=en_AU.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=776cd2eb-157e-4c4b-b37f-9d074a6802e9 ro quiet splash vt.handoff=7
ProcVersionSignature_: Ubuntu 2.6.38-8.41-generic 2.6.38.2
ProcVersionSignature__: Ubuntu 2.6.38-8.41-generic 2.6.38.2
ProcVersionSignature___: Ubuntu 2.6.38-8.41-generic 2.6.38.2
Renderer: Unknown
SourcePackage: unity
UpgradeStatus: Upgraded to natty on 2011-04-08 (0 days ago)
dmi.bios.date: 11/19/2008
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A12
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA12:bd11/19/2008:svnDellInc.:pnXPSM1530:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: XPS M1530
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.4+bzr20110407-0ubuntu2
version.ia32-libs: ia32-libs 20090808ubuntu11
version.libdrm2: libdrm2 2.4.23-1ubuntu6
version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.1-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu6
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu6

Rocko (rockorequin) wrote :
Rocko (rockorequin) wrote :

This is also happening in a VirtualBox VM, so it is not specific to nvidia drivers.

Omer Akram (om26er) on 2011-04-12
tags: added: multimonitor
pablomme (pablomme) wrote :

Seeing repainting issues on two different computers (single-monitor + nvidia graphics, FWIW). Specifically, I've seen point 3 in the description (I don't use suspend and I haven't seen painting issues at login - I use autologin, though), and other examples:
- Navigating the bookmark menus in chromium sometimes leaves part of the previously-selected menu behind
- Scrolling in libreoffice writer sometimes leaves the "page 3/5" tooltip and/or its shadow behind
- Sometimes nearly transparent notification bubbles are left on screen (that is, the last frame of the fade-out effect is not removed)
- etc..
As indicated by the reporter, forcing a repaint by mousing over highlight-able items, toggling expo, etc cleans the leftovers. Setting to confirmed.

Changed in unity (Ubuntu):
status: New → Confirmed
Didier Roche (didrocks) on 2011-04-13
Changed in unity:
status: New → Confirmed
Kevin Turner (keturn) wrote :

happening here on a system just upgraded from 10.10.
x86_64, nvidia.

Joel Wright (joelwright1) wrote :

I can confirm this bug (artifacts on returning from suspend). Running 11.04 on a Lenovo T61 with Nvidia NVS 140M using latest Nvidia drivers. Screenshot is attached.

Omer Akram (om26er) wrote :

Joel, this does not seem to be the issue that you are facing, afaict

Joel Wright (joelwright1) wrote :

I agree it is different from the screenshot provided by the OP, but it seems similar to his complaint numbered 2), yes?

Rocko (rockorequin) wrote :

Yes, that's exactly the kind of thing I noted in point number 2. Mine shows random pixels for the whole height of the screen, but otherwise it's the same. I couldn't easily get a screenshot because the print screen button redrew the unity launcher.

Felix Dreissig (f30) wrote :

Confirmed on Intel graphics, so definitely not Nvidia-related.

I have exactly the same artifacting as Joel Wright shows in his screenshot.

T D Gough (datristan) wrote :

confirming this bug:
random black dots in the upper left hand corner,
and static-like area in the place of the running-programs bar on the left after a resume.

System is a Toshiba Qusmio with a Nvidia card.

I'm suffering from graphics glitches even though I don't use unity. It's usually the background picture that seems to bleed through; see attached screenshots. All my computers that are running Ubuntu 11.04 (all without Unity), two in the office and one at home, have these glitches.

Both my computers in the office and at home have ATI graphics adapters; the computer at home is running proprietary drivers, while the on in the office is not. I've no idea what kind of graphics adapter the other Ubuntu computer in our office has, it belongs to a colleague and I can't currently check.

Jason Smith (jassmith) on 2011-09-23
Changed in unity:
status: Confirmed → Fix Released
David Barth (dbarth) wrote :

Martin,

We understand you're experiencing the issue with the Natty version of Unity. We've stopped providing SRUs for it, except for security issues. Can I ask you try the Oneiric version and confirm what we think is now fixed. Thanks for your feedback on that issue.

Changed in unity:
status: Fix Released → Won't Fix
Changed in unity (Ubuntu):
status: Confirmed → Won't Fix
Joel Wright (joelwright1) wrote :

David,

I'm frankly a little surprised that nothing is being provided for Natty - I had always thought that *.04 versions were LTS releases. Is that trend being discontinued for Ubuntu 11? When is the next LTS?

Thanks.

-Joel

pablomme (pablomme) wrote :

LTS are released every two years - next is 12.04, previous is 10.04.

Magnetizer (magnetizer) wrote :

Hello everybody,

I see this bug report is dormant since 2011-09-23 after the question if the bug still exists in Oneiric. I can confirm that there are graphical glitches after resume in Oneiric as well.

I see those glitches only where the launcher should be repainted.

I switched my background to a solid black color, closed all windows, put my computer to sleep and after resume I get those white blocks on the left side where the launcher should be repainted (screenshot attached).

With actual desktop wallpapers the same area is often filled with colored pixels like random noise.

As soon as I hover above the area, the launcher is put back into place and the problem disappears.

Let me know if you need more info (hardware specs, logs or otherwise) to have a look into this bug.

It's not really troubling but as the goal for 12.04 is to get it pixel perfect, those pixels could get some polish, couldn't they...;-)

Kind regards,

André Kaldenhoven

Dmitri S (semirenko) wrote :

I can confirm, I experience just the same bug, as Andre wrote.
11.10, recommended Nvidia drivers

d_mat (matthisdrolet) wrote :

I can confirm exactly the same issue, also when running tuxonice, so I guess it is not related to the suspend system used.

And I don't know if this relates, but I have been having quite a few graphical unity issues (white square blocks one screen of dual screen setup, unity graphics freeze, --reset does not help, must logout), and as the above indicates that nvidia may not be the culprit, it might be linked to this (I have searched and posted about it a few times, no answers).

Ubuntu 11.10
nvidia graphics
Dell Precision T3400

To post a comment you must log in.